# Class ITestElement.Result

java.lang.Object
org.eclipse.jdt.junit.model.ITestElement.Result

Enclosing interface:
  `ITestElement`

public static final class ITestElement.Result extends Object
Result states of a test.

Since:
  3.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ITestElement.Result`
`ERROR`
state that describes that the test result is 'Error'
`static final ITestElement.Result`
`FAILURE`
state that describes that the test result is 'Failure'
`static final ITestElement.Result`
`IGNORED`
state that describes that the test result is 'Ignored'
`static final ITestElement.Result`
`OK`
state that describes that the test result is 'OK'
`static final ITestElement.Result`
`UNDEFINED`
state that describes that the test result is undefined

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### UNDEFINED

public static final ITestElement.Result UNDEFINED
state that describes that the test result is undefined

### OK

public static final ITestElement.Result OK
state that describes that the test result is 'OK'

### ERROR

public static final ITestElement.Result ERROR
state that describes that the test result is 'Error'

### FAILURE

public static final ITestElement.Result FAILURE
state that describes that the test result is 'Failure'

### IGNORED

public static final ITestElement.Result IGNORED
state that describes that the test result is 'Ignored'

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`